Subject: Re: [PATCH] send-email: pass smtp hostname and port to Authen::SASL

From: Aditya Garg <[email-masked]>
Date: Thu, 5 Mar 2026 22:24:20 +0530

On 05/03/26 9:54 pm, Junio C Hamano wrote:
> Aditya Garg <[email-masked]> writes:
> 
>>> On 5 Mar 2026, at 8:15 PM, Junio C Hamano <[email-masked]> wrote:
>>>
>>> Aditya Garg <[email-masked]> writes:
>>>
>>> [administrivia]
>>>
>>>    Please do not send patch e-mails directly at me, unless you know
>>>    that I am the area authority.  Initial submissions are better
>>>    sent to the list on To: list, with area experts on Cc: if you
>>>    know or found out who they are.
>>
>> Oh sorry. I just did whatever I did in my previous contributions. I didn't know the rules changed.
> 
> No rule changes as far as I know.

I had sent several patches for send-email and imap-send between 2.50 and 2.52, and in every submission I did email directly to the maintainers. Maybe you were just lenient with me that time. Regardless, I'll make sure that future patches are sent only to the mailing list.

> 
>>>> Starting from version 2.2000, Authen::SASL supports passing the SMTP
>>>> server hostname and port to the OAUTHBEARER string passed via SMTP AUTH.
>>>> Add support for the same in git-send-email.
>>>
>>> The proposed log message should answer these questions as well:
>>>
>>>   What happens with version before 2.2000?  Is it safe to
>>>   unconditionally add parameters like this patch does, and why?
>>
>> It's safe to add parameters unconditionally because the library
>> will simply reject them without any error. It's basically like
>> declaring a variable and not using it anywhere for older
>> versions. I have tested this with old libraries as well.
>>
>> Consider the fact that the authname variable is also not in every
>> authentication method used by Authen SASL, still its declared
>> unconditionally before.
> 
> These are good to have in the proposed log message.

Will send a v2

Cheers!